> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deliveryman.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Email Open Events

> Returns list of email open event data for given campaign.



## OpenAPI

````yaml /openapi.yml get /api/v1/campaign/email-open-events/
openapi: 3.1.1
info:
  title: DeliverymanAI API
  version: 1.0.0
  description: >-
    API documentation for DeliverymanAI, a Cold Email Management and Automation
    platform. This API provides endpoints for managing campaigns, contacts,
    email sequences, and related services.
servers:
  - url: https://api.deliveryman.ai
    description: Deliveryman API Server
security: []
paths:
  /api/v1/campaign/email-open-events/:
    get:
      tags:
        - Campaign
      summary: Email Open Events
      description: Returns list of email open event data for given campaign.
      operationId: campaign_email_open_events_retrieve
      parameters:
        - in: query
          name: campaign_uid
          schema:
            title: Campaign Uid
            type: string
          description: UID of campaign to fetch open events from.
          required: true
        - in: query
          name: limit
          schema:
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
          description: >-
            Maximum number of records to fetch in the current page. Must be
            between 1 and 100.
          required: true
        - in: query
          name: offset
          schema:
            minimum: 0
            title: Offset
            type: integer
          description: >-
            Number of records to skip before fetching the results.For example,
            an offset of 0 starts at the beginning, while an offset of 50
            fetches records starting from the 51st. If offset is greater than
            number of records available, results will be empty.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllCampaignEmailOpenEventsAPIResponse'
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Not Found
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetAllCampaignEmailOpenEventsAPIResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetAllCampaignEmailOpenEventsAPI'
          description: List of email open events.
        total:
          type: integer
          minimum: 0
          description: Total number of email open events available in this campaign.
      required:
        - data
        - total
    SimpleMessageResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    GetAllCampaignEmailOpenEventsAPI:
      type: object
      properties:
        schedule_id:
          type: integer
          readOnly: true
          description: ID of the campaign schedule associated with the email open event.
        opened_on:
          type: string
          format: date-time
          description: >-
            The datetime when the email was opened. ISO format date string in
            UTC timezone.
      required:
        - opened_on
        - schedule_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: 'Enter your API key in the format: X-Api-Key <your_key>'

````